# Retrieve Turnover History source: https://developer.mastercard.com/mastercard-processing-credit/documentation/sandbox-testing/credit-card/retrieve-turnover-history/index.md ## Test case -- Success {#test-case--success} This test case describes retrieving a turnover history information of billing cycles for a specified contract stored in the CMS. **Sample request** `GET /contracts/70001/turnover-histories` **Sample response** `200` ```JSON { "turnoverHistories": [ { "billingCycleEndDate": "2021-07-25", "billingCycleNumber": 0, "billingCycleStartDate": "2021-06-26", "contractId": 60001, "contractNumber": "915555______0017", "creditAmount": 9, "currency": "EUR", "currencyNumericCode": "978", "currentBillingCycleNumber": 1, "debitAmount": -27, "endBalance": -18, "startBalance": 0 }, { "billingCycleEndDate": "2021-08-25", "billingCycleNumber": 1, "billingCycleStartDate": "2021-07-26", "contractId": 60001, "contractNumber": "915555______0017", "creditAmount": 9, "currency": "EUR", "currencyNumericCode": "978", "currentBillingCycleNumber": 1, "debitAmount": -9, "endBalance": -18, "startBalance": -18 } ] } ``` ## Test case -- Success -- No Turnover History {#test-case--success--no-turnover-history} This test case describes retrieving a turnover history information of billing cycles for a specified contract stored in the CMS that does not have any turnover history in the specified time. For this test case, use the following information in the request: | Query parameter | Available value | |--------------------|--------------------------------| | `card_contract_id` | Any date newer than 2021-08-01 | **Sample request** `GET /contracts/70001/billing-histories?billing_end_date=2021-07-29` **Sample response** `200` ```JSON { "turnoverHistories": [] } ```